R_{\mu\nu} & = R\indices{^k_{\mu k \nu}} && \\
& = \partial_{k} \Gamma\indices{^k_{\nu\mu}} - \partial_{\nu} \Gamma\indices{^k_{k \mu}}
+ \Gamma\indices{^k_{kl}} \Gamma\indices{^l_{\nu\mu}}
- \Gamma\indices{^k_{\nu l}} \Gamma\indices{^l_{k \mu}} \\
\\
R_{00} & = \frac{1}{2} \frac{\cdiffpartialwrt{r}{2}{black}{A(r)}}{B(r)}
- \frac{1}{4} \frac{\partial_r{A(r)} \partial_r{B(r)}}{(B(r))^2}
- \frac{1}{4} \frac{(\partial_r{A(r)})^2}{A(r) B(r)}
+ \frac{1}{r} \frac{\partial_r{A(r)}}{B(r)} \\
R_{11} & = -\frac{1}{2} \frac{\cdiffpartialwrt{r}{2}{black}{A(r)}}{A(r)}
+ \frac{1}{4} \left( \frac{\partial_r{A(r)}}{A(r)} \right)^2
+ \frac{1}{4} \frac{\partial_r{A(r)}}{A(r)} \frac{\partial_r{B(r)}}{(B(r))}
+ \frac{\partial_r{B(r)}}{B(r)} \\
R_{22} & = -\frac{r}{2} \frac{\partial_r{A(r)}}{A(r)B(r)}
- \frac{1}{B(r)}
+ \frac{r}{2} \frac{\partial_r{B(r)}}{(B(r))^2}
+ 1 \\
R_{33} & = -sin^2(\theta) R_{22} \\
\Downarrow \\
R_{\mu\nu} & = \begin{pmatrix} R_{00} & 0 & 0 & 0 \\
0 & R_{11} & 0 & 0 \\
0 & 0 & R_{22} & 0 \\
0 & 0 & 0 & R_{33} \end{pmatrix} = \begin{pmatrix} R_{00} & 0 & 0 & 0 \\
0 & R_{11} & 0 & 0 \\
0 & 0 & R_{22} & 0 \\
0 & 0 & 0 & -sin^2(\theta)R_{22} \end{pmatrix} \\
\Downarrow \\
R & = g^{\mu\nu} R_{\mu\nu} = \frac{1}{A(r)} R_{00} + \frac{1}{B(r)} R_{11} + \frac{1}{r^2} R_{22} + \frac{1}{r^2 sin^2(\theta)} R_{33} \\
& = \frac{\cdiffpartialwrt{r}{2}{black}{A(r)}}{A(r) B(r)}
- \frac{1}{2} \frac{\partial_r{A(r)} \partial_r{B(r)}}{A(r) (B(r))^2}
- \frac{1}{2} \frac{1}{B(r)} \left(\frac{\partial_r{A(r)}}{A(r)}\right)^2 \\
& + \frac{2}{r} \frac{\partial_r{A(r)}}{A(r) B(r)}
- \frac{2}{r} \frac{\partial_r{B(r)}}{(B(r))^2}
+ \frac{2}{r^2} \left( 1 - \frac{1}{B(r)} \right)
